summaryrefslogtreecommitdiffstats
path: root/libraries/libgnomecanvas
diff options
context:
space:
mode:
author Erik Hanson2010-05-12 17:41:14 +0200
committer David Somero2010-05-12 17:41:14 +0200
commit1e00bc9726f38fe72d5f0713f8c1704bb5df0295 (patch)
tree869642abfffa99f0b76bd74845a07ee9ce5c6416 /libraries/libgnomecanvas
parentca0c4c403f81a0feeb0e41df29fdfe01cba0ba69 (diff)
downloadslackbuilds-1e00bc9726f38fe72d5f0713f8c1704bb5df0295.tar.gz
libraries/libgnomecanvas: Updated for version 2.20.1.1
Diffstat (limited to 'libraries/libgnomecanvas')
-rw-r--r--libraries/libgnomecanvas/README20
-rw-r--r--libraries/libgnomecanvas/libgnomecanvas.SlackBuild44
-rw-r--r--libraries/libgnomecanvas/libgnomecanvas.info6
-rw-r--r--libraries/libgnomecanvas/slack-desc26
4 files changed, 45 insertions, 51 deletions
diff --git a/libraries/libgnomecanvas/README b/libraries/libgnomecanvas/README
index 02f7e9254c..ddd5c5cf27 100644
--- a/libraries/libgnomecanvas/README
+++ b/libraries/libgnomecanvas/README
@@ -1,12 +1,10 @@
-The GNOME canvas is an engine for structured graphics that
-offers a rich imaging model, high performance rendering, and a
-powerful, high-level API. It offers a choice of two rendering
-back-ends, one based on Xlib for extremely fast display, and
-another based on Libart, a sophisticated, antialiased,
-alpha-compositing engine. Applications have a choice between
-the Xlib imaging model or a superset of the PostScript imaging
-model, depending on the level of graphic sophistication
-required.
+The GNOME canvas is an engine for structured graphics that offers
+a rich imaging model, high performance rendering, and a powerful,
+high-level API. It offers a choice of two rendering back-ends, one
+based on Xlib for extremely fast display, and another based on Libart,
+a sophisticated, antialiased, alpha-compositing engine. Applications
+have a choice between the Xlib imaging model or a superset of the
+PostScript imaging model, depending on the level of graphic
+sophistication required.
-gail (also available at http://www.slackbuilds.org/) is
-required to build this package.
+gail (available at SBo) is required to build libgnomecanvas.
diff --git a/libraries/libgnomecanvas/libgnomecanvas.SlackBuild b/libraries/libgnomecanvas/libgnomecanvas.SlackBuild
index 7f688e84ae..6bbf83bbcc 100644
--- a/libraries/libgnomecanvas/libgnomecanvas.SlackBuild
+++ b/libraries/libgnomecanvas/libgnomecanvas.SlackBuild
@@ -1,17 +1,18 @@
#!/bin/sh
-
# Slackware build script for libgnomecanvas
#
# Written by James Rich james@chowhouse.com
#
# Modified by the SlackBuilds.org project
# (assumed to be public domain per our submission policy)
-# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Modified by Frank Caraballo <fecaraballo{at}gmail{dot}com>
+#
+# Maintained by Erik Hanson <erik@slackbuilds.org>
PRGNAM=libgnomecanvas
-VERSION=2.20.1.1
+VERSION=${VERSION:-2.20.1.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -21,18 +22,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION || exit 1
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -45,29 +51,19 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var/lib/gnome \
- --enable-shared=yes \
+ --localstatedir=/var \
--enable-static=no \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux \
- || exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+make
+make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS ChangeLog COPYING.LIB INSTALL NEWS README \
docs/reference/libgnomecanvas* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG/usr/doc/$PRGNAM-$VERSION
- ln -s ../../share/gtk-doc/html/libgnomecanvas html
-)
-find $PKG -type f -size 0c -exec rm {} \; 2>/dev/null
+ln -s /usr/share/gtk-doc/html/libgnomecanvas $PKG/usr/doc/$PRGNAM-$VERSION/html
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/libgnomecanvas/libgnomecanvas.info b/libraries/libgnomecanvas/libgnomecanvas.info
index 67bef01296..1bc293ef84 100644
--- a/libraries/libgnomecanvas/libgnomecanvas.info
+++ b/libraries/libgnomecanvas/libgnomecanvas.info
@@ -3,6 +3,6 @@ VERSION="2.20.1.1"
HOMEPAGE="http://directory.fsf.org/all/libgnomecanvas.html"
DOWNLOAD="http://ftp.gnome.org/pub/gnome/sources/libgnomecanvas/2.20/libgnomecanvas-2.20.1.1.tar.bz2"
MD5SUM="948ed771d2957d24a0c9a414e9581055"
-MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"
diff --git a/libraries/libgnomecanvas/slack-desc b/libraries/libgnomecanvas/slack-desc
index 3a4e8769a3..98879746ea 100644
--- a/libraries/libgnomecanvas/slack-desc
+++ b/libraries/libgnomecanvas/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libgnomecanvas: libgnomecanvas (GNOME canvas library)
libgnomecanvas:
-libgnomecanvas: The GNOME canvas is an engine for structured graphics that
-libgnomecanvas: offers a rich imaging model, high performance rendering, and a
-libgnomecanvas: powerful, high-level API. It offers a choice of two rendering
-libgnomecanvas: back-ends, one based on Xlib for extremely fast display, and
-libgnomecanvas: another based on Libart, a sophisticated, antialiased,
-libgnomecanvas: alpha-compositing engine. Applications have a choice between
-libgnomecanvas: the Xlib imaging model or a superset of the PostScript imaging
-libgnomecanvas: model, depending on the level of graphic sophistication
-libgnomecanvas: required.
+libgnomecanvas: The GNOME canvas is an engine for structured graphics that offers
+libgnomecanvas: a rich imaging model, high performance rendering, and a powerful,
+libgnomecanvas: high-level API. It offers a choice of two rendering back-ends, one
+libgnomecanvas: based on Xlib for extremely fast display, and another based on Libart,
+libgnomecanvas: a sophisticated, antialiased, alpha-compositing engine. Applications
+libgnomecanvas: have a choice between the Xlib imaging model or a superset of the
+libgnomecanvas: PostScript imaging model, depending on the level of graphic
+libgnomecanvas: sophistication required.
+libgnomecanvas: